local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_COMBAT_XP_GAIN")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_COMBAT_XP_GAIN" then
		Print('You gained some XP! You now have ' .. UnitXP("player") .. " XP");
        end
end);